curl -X POST https://api.app.shinzo.ai/telemetry/ingest_http/metrics \
-H "Authorization: Bearer YOUR_INGEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"resourceMetrics": [{
"resource": {
"attributes": [
{"key": "service.name", "value": {"stringValue": "my-mcp-server"}}
]
},
"scopeMetrics": [{
"scope": {
"name": "@shinzolabs/instrumentation-mcp"
},
"metrics": [{
"name": "mcp.tool.invocations",
"description": "Number of tool invocations",
"unit": "1",
"sum": {
"dataPoints": [{
"startTimeUnixNano": "1705315200000000000",
"timeUnixNano": "1705315260000000000",
"asInt": "42",
"attributes": [
{"key": "mcp.tool.name", "value": {"stringValue": "search_files"}}
]
}],
"aggregationTemporality": 2,
"isMonotonic": true
}
}]
}]
}]
}'
{
"partialSuccess": {}
}
Telemetry
Ingest Metrics
Send OpenTelemetry metrics using OTLP/HTTP protocol
POST
/
telemetry
/
ingest_http
/
metrics
curl -X POST https://api.app.shinzo.ai/telemetry/ingest_http/metrics \
-H "Authorization: Bearer YOUR_INGEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"resourceMetrics": [{
"resource": {
"attributes": [
{"key": "service.name", "value": {"stringValue": "my-mcp-server"}}
]
},
"scopeMetrics": [{
"scope": {
"name": "@shinzolabs/instrumentation-mcp"
},
"metrics": [{
"name": "mcp.tool.invocations",
"description": "Number of tool invocations",
"unit": "1",
"sum": {
"dataPoints": [{
"startTimeUnixNano": "1705315200000000000",
"timeUnixNano": "1705315260000000000",
"asInt": "42",
"attributes": [
{"key": "mcp.tool.name", "value": {"stringValue": "search_files"}}
]
}],
"aggregationTemporality": 2,
"isMonotonic": true
}
}]
}]
}]
}'
{
"partialSuccess": {}
}
Ingest OpenTelemetry metrics from your MCP servers. This endpoint accepts OTLP formatted metric data.
We recommend using our TypeScript SDK or Python SDK instead of calling this endpoint directly.
string
required
application/json or application/x-protobufarray
required
Array of OpenTelemetry ResourceMetrics containing metric data
object
Indicates partial success if some metrics were rejected
curl -X POST https://api.app.shinzo.ai/telemetry/ingest_http/metrics \
-H "Authorization: Bearer YOUR_INGEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"resourceMetrics": [{
"resource": {
"attributes": [
{"key": "service.name", "value": {"stringValue": "my-mcp-server"}}
]
},
"scopeMetrics": [{
"scope": {
"name": "@shinzolabs/instrumentation-mcp"
},
"metrics": [{
"name": "mcp.tool.invocations",
"description": "Number of tool invocations",
"unit": "1",
"sum": {
"dataPoints": [{
"startTimeUnixNano": "1705315200000000000",
"timeUnixNano": "1705315260000000000",
"asInt": "42",
"attributes": [
{"key": "mcp.tool.name", "value": {"stringValue": "search_files"}}
]
}],
"aggregationTemporality": 2,
"isMonotonic": true
}
}]
}]
}]
}'
{
"partialSuccess": {}
}
⌘I

